using System;

internal sealed class Delegate131 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate131 delegate131_1)
	{
		return delegate131_1(object_0);
	}

	public extern Delegate131(object object_0, IntPtr intptr_0);

	static Delegate131()
	{
		Class10.smethod_13(typeof(Delegate131).TypeHandle);
	}

	internal static Delegate131 delegate131_0;
}
